/* Set colour for input background */
body {
    --input-bg: #D1C59F;
}

/* Add margin to form */
form {
    margin: 1rem 0;
}

form li {
    /* Remove list styles and set position to relative */
    list-style: none;
    position: relative; 
    
    
    min-height: 7rem;
}

/* The underline animation for the form div */
form li::after {
    position: absolute;
    left: 0.7%;
    bottom: 50%;
    right: 0;
    
    height: 4px;
    width: 25%;
    
    content: "";
    background: var(--golden);

    transform: scaleX(0);
    transform-origin: left;

    transition: transform 300ms ease-in-out
}

/* Remove the ::after from the message text box */
form li:nth-last-child(2)::after {
    display: none;
}

/* Expand the line when hovered */
form li:focus-within::after {
    transform: scaleX(100%);
}

/* Style the input form */
input[type=text] {
    border: none;
    
    margin: 0.5rem;
    padding: 0.5rem;

    background: var(--input-bg);

    font-size: 1.25rem;

    transition: all 300ms ease-in-out;
    
    min-width: 25%;
}


input[type=text]:hover,
input[type=text]:focus {
    outline: none;
}

label {
    position: absolute;
    transform: translateY(-100%);

    font-weight: 600;
}

textarea {
    border: none;

    margin: 0.5rem;
    padding: 0.5rem;
    
    background: var(--input-bg);

    font-size: 1.25rem;
}

